import { HttpStatus, HttpException } from '@nestjs/common';
import { DistritoService } from './distrito.service';
import { Distrito } from './distrito.entity';
import { CreateDistritoDto } from './dto/create-distrito.dto';
import { UpdateDistritoDto } from './dto/update-distrito.dto';
export declare class DistritoController {
    private distritoService;
    constructor(distritoService: DistritoService);
    getDistritoByProvinciaId(provincia_id: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            provincia_id: number;
            provincia: import("../provincia/provincia.entity").Provincia;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
    }>;
    getDistritoAll(): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            provincia_id: number;
            provincia: import("../provincia/provincia.entity").Provincia;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
    }>;
    getAutocompleteDistrito(query: string): Promise<HttpException | {
        data: any;
    }>;
    getDepartamento(page: number, limit: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                provincia: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    departamento_id: number;
                    departamento: import("../departamento/departamento.entity").Departamento;
                    distrito: Distrito[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                provincia_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getUserSearch(page: number, limit: number, body: Record<string, any>): Promise<{
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                provincia: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    departamento_id: number;
                    departamento: import("../departamento/departamento.entity").Departamento;
                    distrito: Distrito[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                provincia_id: number;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getDistritoById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        codigo: string;
        nombre: string;
        deleted_at: Date;
        provincia_id: number;
        provincia: import("../provincia/provincia.entity").Provincia;
        inmueble: import("../inmueble/inmueble.entity").Inmueble[];
    }>;
    createDistrito(newDistrito: CreateDistritoDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            provincia: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                departamento_id: number;
                departamento: import("../departamento/departamento.entity").Departamento;
                distrito: Distrito[];
            };
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            provincia_id: number;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            departamento_id: number;
            departamento: import("../departamento/departamento.entity").Departamento;
            distrito: Distrito[];
        };
        status: HttpStatus;
        message: string;
    }>;
    updateDistrito(id: number, distrito: UpdateDistritoDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            provincia_id: number;
            provincia: import("../provincia/provincia.entity").Provincia;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteDistrito(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
